Alokai

SapccApiPlaceOrgOrderRequest

Request parameters for placeOrgOrder operation in SapccApi. SapccApiPlaceOrgOrderRequest

interface SapccApiPlaceOrgOrderRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly termsChecked: boolean;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiPlaceOrgOrder
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiPlaceOrgOrder
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiPlaceOrgOrder
termsCheckedRequiredbooleanWhether terms were accepted or not. {boolean} SapccApiPlaceOrgOrder
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiPlaceOrgOrder

On this page